Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
timespec Struct Reference

`#include <missing.h>`

## Data Fields
time_t | tv_sec
long | tv_nsec

## Detailed Description

Definition at line 60 of file missing.h.

## Field Documentation

## ◆ tv_nsec

long timespec::tv_nsec

Definition at line 62 of file missing.h.

Referenced by clock_getres(), rb_timespec_now(), rb_w32_utime(), rb_w32_utimes(), rb_w32_uutime(), and rb_w32_uutimes().

## ◆ tv_sec

time_t timespec::tv_sec

Definition at line 61 of file missing.h.

Referenced by clock_getres(), rb_timespec_now(), rb_w32_utime(), rb_w32_utimes(), rb_w32_uutime(), and rb_w32_uutimes().

The documentation for this struct was generated from the following files:

- include/ruby/missing.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h